From 534e48aa939abdd18e51e8f760b81e22661bf51f Mon Sep 17 00:00:00 2001
From: Shugo Maeda <shugo@ruby-lang.org>
Date: Fri, 18 Jun 2010 08:34:42 +0900
Subject: [PATCH 03/51] added klass to rb_control_frame_t.

---
 vm_core.h       |    1 +
 vm_insnhelper.c |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/vm_core.h b/vm_core.h
index 1ea9413..1d19d79 100644
--- a/vm_core.h
+++ b/vm_core.h
@@ -331,6 +331,7 @@ typedef struct {
     rb_iseq_t *block_iseq;	/* cfp[8] / block[3] */
     VALUE proc;			/* cfp[9] / block[4] */
     const rb_method_entry_t *me;/* cfp[10] */
+    VALUE klass;		/* cfp[11] */
 } rb_control_frame_t;
 
 typedef struct rb_block_struct {
diff --git a/vm_insnhelper.c b/vm_insnhelper.c
index fa387ed..f5c4395 100644
--- a/vm_insnhelper.c
+++ b/vm_insnhelper.c
@@ -62,6 +62,7 @@ vm_push_frame(rb_thread_t * th, const rb_iseq_t * iseq,
     cfp->block_iseq = 0;
     cfp->proc = 0;
     cfp->me = 0;
+    cfp->klass = Qnil;
 
 #define COLLECT_PROFILE 0
 #if COLLECT_PROFILE
-- 
1.7.0.4

